Subject: bug#49822: 28.0.50; python-shell-send functions show no output

From: Andreas Röhler <[email-masked]>
Date: Sun, 15 Aug 2021 08:41:45 +0200

On 14.08.21 11:29, Augusto Stoffel wrote:
> On Fri, 13 Aug 2021 at 18:44, Andreas Röhler <[email-masked]> wrote:
>
>> Hmm, a buffer is not an interactive shell. Putting a print() around
>> should do it.
> I'm not sure I get your point.  Evaluating an expression should print
> the result, no?  It's the P in REPL.

Python's interactive prompt offers a slightly different behavior than 
running code through a plain Python interpreter.

I understand the code in a buffer as something which is executed as a 
program. If you run a program by a python interpreter, if it outputs 
something, that depends.